WordPress5.5.1に更新しようとしたがうまくいかず

WordPress5.5.1に更新しようとしたがうまくいかず

wordpressのバージョンを5.5.1にアップデートしてみたが、うまくできなかったので
やったことを残しておく。

実行環境

  • Google Cloud Platform
  • WordPress with NGINX and SSL Certified by Bitnami and Automattic 5.4.2-3
  • WordPress 5.5.0

対応履歴

管理画面の更新画面から実行すると、以下のエラーが発生。

https://downloads.wordpress.org/release/ja/wordpress-5.5.1.zip から更新をダウンロード中…
署名が見つからなかったため、wordpress-5.5.1.zip の信頼性を確認できませんでした。
更新を展開しています…
ディレクトリを作成できませんでした。
インストールに失敗しました。

更新するには、wp-content/upgradeディレクトリが必要なのかと思い、存在するか調べてみると、権限が757 だったので、777 に変更する

そうすると、以下のエラーに変わった

https://downloads.wordpress.org/release/ja/wordpress-5.5.1.zip から更新をダウンロード中…
Warning: unlink(/opt/bitnami/apps/wordpress/tmp/wordpress-5.5.1-iogvws.tmp): No such file or directory in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/file.php on line 1059
ダウンロードに失敗しました。: ファイルストリーミングの送り先となるディレクトリが存在しないか、書き込み不可になっています。
インストールに失敗しました。

/opt/bitnami/apps/wordpress/tmp/
の権限を調べてみると、権限が775 だったので、777に変更する

再実行しようとブラウザをリロードすると、以下のエラーが発生

このページは動作していません
www.danroo.com では現在このリクエストを処理できません。
HTTP ERROR 500

エラー内容が知りたくて、
wp-config.phpのWP_DEBUG変数をtrueに変更

define('WP_DEBUG', true);

それだけではエラーが表示されなかったので、
index.phpの先頭に以下の三行も追加

<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

リロードすると、以下のエラーが表示された

Warning: require_once(/opt/bitnami/apps/wordpress/htdocs/wp-config.php): failed to open stream: Permission denied in /opt/bitnami/apps/wordpress/htdocs/wp-load.php on line 37

Fatal error: require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-config.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-load.php on line 37

wp-config.phpは600権限だったので、604に変更してみる

次は、以下のエラーが表示された

https://downloads.wordpress.org/release/ja/wordpress-5.5.1.zip から更新をダウンロード中…
署名が見つからなかったため、wordpress-5.5.1.zip の信頼性を確認できませんでした。
更新を展開しています…

Warning: copy(/opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/update-core.php): failed to open stream: Permission denied in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 309
いくつかのファイルをコピーできないため、最新版のインストールができません。これはたいていの場合、ファイルのパーミッションが適切でないことが原因です。: wp-admin/includes/update-core.php

インストールに失敗しました。

wp-admin 配下の権限を706 に変更

画面をリロードすると、以下のエラーが発生

Warning: require_once(/opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/plugin.php): failed to open stream: Permission denied in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/ip-geo-block/ip-geo-block.php on line 43

Fatal error: require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/plugin.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/ip-geo-block/ip-geo-block.php on line 43

wp-admin 配下の権限を777 に変更

https://downloads.wordpress.org/release/ja/wordpress-5.5.1.zip から更新をダウンロード中…
署名が見つからなかったため、wordpress-5.5.1.zip の信頼性を確認できませんでした。
更新を展開しています…

Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
展開したファイルを検証しています…
最新版をインストールする準備をしています…

Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
いくつかのファイルをコピーできないため、最新版のインストールができません。これはたいていの場合、ファイルのパーミッションが適切でないことが原因です。: index.php, wp-includes/canonical.php, wp-includes/script-loader.php, wp-includes/block-patterns/large-header-button.php, wp-includes/block-patterns/text-two-columns.php, wp-includes/block-patterns/text-two-columns-with-images.php, wp-includes/block-patterns/heading-paragraph.php, wp-includes/block-patterns/text-three-columns-buttons.php, wp-includes/rest-api/endpoints/class-wp-rest-controller.php, wp-includes/rest-api/endpoints/class-wp-rest-block-directory-controller.php, wp-includes/version.php, wp-includes/js/comment-reply.js, wp-includes/js/dist/components.js, wp-includes/js/dist/block-editor.js, wp-includes/js/dist/block-editor.min.js, wp-includes/js/dist/components.min.js, wp-includes/js/comment-reply.min.js, wp-includes/rest-api.php, wp-includes/sitemaps.php, wp-includes/css/dist/block-library/style-rtl.css, wp-includes/css/dist/block-library/style.min.css, wp-includes/css/dist/block-library/style.css, wp-includes/css/dist/block-library/style-rtl.min.css, wp-includes/css/dist/block-editor/style-rtl.css, wp-includes/css/dist/block-editor/style.min.css, wp-includes/css/dist/block-editor/style.css, wp-includes/css/dist/block-editor/style-rtl.min.css, wp-includes/load.php, wp-includes/media.php, wp-includes/general-template.php, wp-includes/comment-template.php, wp-includes/formatting.php, wp-includes/class.wp-scripts.php, wp-includes/assets/script-loader-packages.php

インストールに失敗しました。

gitでデプロイしたくて、bitnamiユーザを使っていないことが原因のようで、権限をすべて変えないとだめっぽいので、手動でアップデートしてみる。

手動アップデートは後日記載する。

Web技術カテゴリの最新記事